[wingide-users] usable for python 3.0?

Wingware Support support at wingware.com
Thu Jan 15 07:38:55 MST 2009


Brendan Miller wrote:
> How usable is wing for python 3.0? Is there anything that works?
> 
> I have a friend who wants to work on a project with me in Python 3.0.
> If I do that, I'd at least like to be able to edit, and run.

Basic editing works but it misses many auto-completion cases and may
show syntax errors on some of the new syntax.  Execute should work
in that the OS Commands tool has no idea about Python versions.  But
Debug and the integrated Python Shell will not work.

We'll try to get at least some of this working as soon as we can.  For
now, I'd recommend using Python 2.6 to write 3.0-ready code if you want
to use Wing.

-- 

Stephan Deibel
Wingware | Python IDE
Advancing Software Development

www.wingware.com



More information about the wingide-users mailing list